SUSE Security Update: Security update for openssl
______________________________________________________________________________

Announcement ID:    SUSE-SU-2022:2098-1
Rating:             important
References:         #1199166 
Cross-References:   CVE-2022-1292
CVSS scores:
                    CVE-2022-1292 (NVD) : 9.8 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
                    CVE-2022-1292 (SUSE): 6.3 CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:L/I:L/A:L

Affected Products:
                    HPE Helion Openstack 8
                    SUSE Linux Enterprise Server 12-SP2-BCL
                    SUSE Linux Enterprise Server 12-SP3-BCL
                    SUSE Linux Enterprise Server 12-SP3-LTSS
                    SUSE Linux Enterprise Server for SAP 12-SP3
                    SUSE OpenStack Cloud 8
                    SUSE OpenStack Cloud Crowbar 8
______________________________________________________________________________

   An update that fixes one vulnerability is now available.

Description:

   This update for openssl fixes the following issues:

   - CVE-2022-1292: Fixed command injection in c_rehash (bsc#1199166).


Patch Instructions:

   To install this SUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - SUSE OpenStack Cloud Crowbar 8:

      zypper in -t patch SUSE-OpenStack-Cloud-Crowbar-8-2022-2098=1

   - SUSE OpenStack Cloud 8:

      zypper in -t patch SUSE-OpenStack-Cloud-8-2022-2098=1

   - SUSE Linux Enterprise Server for SAP 12-SP3:

      zypper in -t patch SUSE-SLE-SAP-12-SP3-2022-2098=1

   - SUSE Linux Enterprise Server 12-SP3-LTSS:

      zypper in -t patch SUSE-SLE-SERVER-12-SP3-2022-2098=1

   - SUSE Linux Enterprise Server 12-SP3-BCL:

      zypper in -t patch SUSE-SLE-SERVER-12-SP3-BCL-2022-2098=1

   - SUSE Linux Enterprise Server 12-SP2-BCL:

      zypper in -t patch SUSE-SLE-SERVER-12-SP2-BCL-2022-2098=1

   - HPE Helion Openstack 8:

      zypper in -t patch HPE-Helion-OpenStack-8-2022-2098=1



Package List:

   - SUSE OpenStack Cloud Crowbar 8 (noarch):

      openssl-doc-1.0.2j-60.80.1

   - SUSE OpenStack Cloud Crowbar 8 (x86_64):

      libopenssl-devel-1.0.2j-60.80.1
      libopenssl1_0_0-1.0.2j-60.80.1
      libopenssl1_0_0-32bit-1.0.2j-60.80.1
      libopenssl1_0_0-debuginfo-1.0.2j-60.80.1
      libopenssl1_0_0-debuginfo-32bit-1.0.2j-60.80.1
      libopenssl1_0_0-hmac-1.0.2j-60.80.1
      libopenssl1_0_0-hmac-32bit-1.0.2j-60.80.1
      openssl-1.0.2j-60.80.1
      openssl-debuginfo-1.0.2j-60.80.1
      openssl-debugsource-1.0.2j-60.80.1

   - SUSE OpenStack Cloud 8 (noarch):

      openssl-doc-1.0.2j-60.80.1

   - SUSE OpenStack Cloud 8 (x86_64):

      libopenssl-devel-1.0.2j-60.80.1
      libopenssl1_0_0-1.0.2j-60.80.1
      libopenssl1_0_0-32bit-1.0.2j-60.80.1
      libopenssl1_0_0-debuginfo-1.0.2j-60.80.1
      libopenssl1_0_0-debuginfo-32bit-1.0.2j-60.80.1
      libopenssl1_0_0-hmac-1.0.2j-60.80.1
      libopenssl1_0_0-hmac-32bit-1.0.2j-60.80.1
      openssl-1.0.2j-60.80.1
      openssl-debuginfo-1.0.2j-60.80.1
      openssl-debugsource-1.0.2j-60.80.1

   - SUSE Linux Enterprise Server for SAP 12-SP3 (ppc64le x86_64):

      libopenssl-devel-1.0.2j-60.80.1
      libopenssl1_0_0-1.0.2j-60.80.1
      libopenssl1_0_0-debuginfo-1.0.2j-60.80.1
      libopenssl1_0_0-hmac-1.0.2j-60.80.1
      openssl-1.0.2j-60.80.1
      openssl-debuginfo-1.0.2j-60.80.1
      openssl-debugsource-1.0.2j-60.80.1

   - SUSE Linux Enterprise Server for SAP 12-SP3 (x86_64):

      libopenssl1_0_0-32bit-1.0.2j-60.80.1
      libopenssl1_0_0-debuginfo-32bit-1.0.2j-60.80.1
      libopenssl1_0_0-hmac-32bit-1.0.2j-60.80.1

   - SUSE Linux Enterprise Server for SAP 12-SP3 (noarch):

      openssl-doc-1.0.2j-60.80.1

   - SUSE Linux Enterprise Server 12-SP3-LTSS (aarch64 ppc64le s390x x86_64):

      libopenssl-devel-1.0.2j-60.80.1
      libopenssl1_0_0-1.0.2j-60.80.1
      libopenssl1_0_0-debuginfo-1.0.2j-60.80.1
      libopenssl1_0_0-hmac-1.0.2j-60.80.1
      openssl-1.0.2j-60.80.1
      openssl-debuginfo-1.0.2j-60.80.1
      openssl-debugsource-1.0.2j-60.80.1

   - SUSE Linux Enterprise Server 12-SP3-LTSS (s390x x86_64):

      libopenssl1_0_0-32bit-1.0.2j-60.80.1
      libopenssl1_0_0-debuginfo-32bit-1.0.2j-60.80.1
      libopenssl1_0_0-hmac-32bit-1.0.2j-60.80.1

   - SUSE Linux Enterprise Server 12-SP3-LTSS (noarch):

      openssl-doc-1.0.2j-60.80.1

   - SUSE Linux Enterprise Server 12-SP3-BCL (noarch):

      openssl-doc-1.0.2j-60.80.1

   - SUSE Linux Enterprise Server 12-SP3-BCL (x86_64):

      libopenssl-devel-1.0.2j-60.80.1
      libopenssl1_0_0-1.0.2j-60.80.1
      libopenssl1_0_0-32bit-1.0.2j-60.80.1
      libopenssl1_0_0-debuginfo-1.0.2j-60.80.1
      libopenssl1_0_0-debuginfo-32bit-1.0.2j-60.80.1
      libopenssl1_0_0-hmac-1.0.2j-60.80.1
      libopenssl1_0_0-hmac-32bit-1.0.2j-60.80.1
      openssl-1.0.2j-60.80.1
      openssl-debuginfo-1.0.2j-60.80.1
      openssl-debugsource-1.0.2j-60.80.1

   - SUSE Linux Enterprise Server 12-SP2-BCL (x86_64):

      libopenssl-devel-1.0.2j-60.80.1
      libopenssl1_0_0-1.0.2j-60.80.1
      libopenssl1_0_0-32bit-1.0.2j-60.80.1
      libopenssl1_0_0-debuginfo-1.0.2j-60.80.1
      libopenssl1_0_0-debuginfo-32bit-1.0.2j-60.80.1
      libopenssl1_0_0-hmac-1.0.2j-60.80.1
      libopenssl1_0_0-hmac-32bit-1.0.2j-60.80.1
      openssl-1.0.2j-60.80.1
      openssl-debuginfo-1.0.2j-60.80.1
      openssl-debugsource-1.0.2j-60.80.1

   - SUSE Linux Enterprise Server 12-SP2-BCL (noarch):

      openssl-doc-1.0.2j-60.80.1

   - HPE Helion Openstack 8 (x86_64):

      libopenssl-devel-1.0.2j-60.80.1
      libopenssl1_0_0-1.0.2j-60.80.1
      libopenssl1_0_0-32bit-1.0.2j-60.80.1
      libopenssl1_0_0-debuginfo-1.0.2j-60.80.1
      libopenssl1_0_0-debuginfo-32bit-1.0.2j-60.80.1
      libopenssl1_0_0-hmac-1.0.2j-60.80.1
      libopenssl1_0_0-hmac-32bit-1.0.2j-60.80.1
      openssl-1.0.2j-60.80.1
      openssl-debuginfo-1.0.2j-60.80.1
      openssl-debugsource-1.0.2j-60.80.1

   - HPE Helion Openstack 8 (noarch):

      openssl-doc-1.0.2j-60.80.1


References:

   https://www.suse.com/security/cve/CVE-2022-1292.html
   https://bugzilla.suse.com/1199166